package com.ejie.ab63.model;

import java.util.Date;

import com.ejie.ab63.model.expedientes.Expedientes;

/**
 * 
 *  
 *
 */

public class Inspeccion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpIns;
	private Expedientes expediente;
	private Integer idInspeccion;
	private Integer tipoInspeccion;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private String identificadorInspeccion;

	public Inspeccion() {
		super();
	}

	public Inspeccion(Integer idRelExpIns, Expedientes expediente, Integer idInspeccion, Integer tipoInspeccion,
			Date fechaRegistro, String usuarioRegistro, String identificadorInspeccion) {
		super();
		this.idRelExpIns = idRelExpIns;
		this.expediente = expediente;
		this.idInspeccion = idInspeccion;
		this.tipoInspeccion = tipoInspeccion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.identificadorInspeccion = identificadorInspeccion;
	}

	public Integer getIdRelExpIns() {
		return idRelExpIns;
	}

	public void setIdRelExpIns(Integer idRelExpIns) {
		this.idRelExpIns = idRelExpIns;
	}

	public Expedientes getExpediente() {
		return expediente;
	}

	public void setExpediente(Expedientes expediente) {
		this.expediente = expediente;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public Integer getTipoInspeccion() {
		return tipoInspeccion;
	}

	public void setTipoInspeccion(Integer tipoInspeccion) {
		this.tipoInspeccion = tipoInspeccion;
	}

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getIdentificadorInspeccion() {
		return identificadorInspeccion;
	}

	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}

}
